@custom-media --viewport-mobile (max-width: 980px);
@custom-media --viewport-desktop (min-width: 981px);
@custom-media --viewport-large (min-width: 1201px);
@custom-media --viewport-medium (min-width: 981px) and (max-width: 1201px);
@custom-media --viewport-second-medium (min-width: 981px) and (max-width: 1200px);

:root {
  --scroll-bar-gap: 0px;

  --current-vh-max: calc(var(--vh, 1vh) * 100);
  --mobile-browser-bar: calc(100vh - var(--current-vh-max));
  --z-index-modal: 900;
  --z-index-under-modal: 800;
  --z-index-over-modal: 1000;

  --font-regular: 'Roboto', Arial, Helvetica, sans-serif;
  --font-heading: 'Roboto', Arial, Helvetica, sans-serif;

  --font-weight-thin:         100;
  --font-weight-extra-light:  200;
  --font-weight-light:        300;
  --font-weight-regular:      400;
  --font-weight-medium:       500;
  --font-weight-semi-bold:    600;
  --font-weight-bold:         700;
  --font-weight-extra-bold:   800;
  --font-weight-black:        900;

  --color-main-lightest:        rgba(118,118,118,1);  /* #767676 */
  --color-main-lighten:         rgba(107,107,107,1);  /* #6B6B6B */
  --color-main-grey:            rgba(187,187,187,1);  /* #BBBBBB */
  --color-main-light:           rgba(98,98,98,1);     /* #626262 */
  --color-main:                 rgba(27,27,27,1);     /* #1B1B1B */
  --color-main-dark:            rgba(46,46,46,1);     /* #2E2E2E */
  --color-main-darken:          rgba(13,13,13,1);     /* #0D0D0D */
  --color-main-darkest:         rgba(0,0,0,1);        /* #000000 */

  --color-on-dark-light:        rgba(143,143,143,1);  /* #8F8F8F */
  --color-on-dark-lighten:      rgba(175,175,175,1);  /* #AFAFAF */
  --color-on-dark-dark:         rgba(165,165,165,1);  /* #A5A5A5 */
  --color-on-dark-darken:       rgba(131,131,131,1);  /* #838383 */

  --color-yellow:               rgba(255,187,38,1);   /* #FFBB26 */
  --color-green:                rgba(34,89,58,1);     /* #22593A */
  --color-red:                  rgba(247,90,82,1);    /* #F75A52 */

  --fill-main:                  rgba(33,33,33,1);     /* #212121 */
  --fill-light:                 rgba(206,206,206,1);  /* #CECECE */
  --fill-hover:                 rgba(189,189,189,1);  /* #BDBDBD */
  --fill-active:                rgba(180,180,180,1);  /* #B4B4B4 */

  --bg-main:                    rgba(255,255,255,1);  /* #ffffff */
  --bg-transparent:             rgba(255,255,255,0);  /* #ffffff */
  --bg-light:                   rgba(245,245,245,1);  /* #F5F5F5 */
  --bg-lighten:                 rgba(245,246,247,1);  /* #F5F6F7 */
  --bg-lightener:               rgba(247,247,247,1);  /* #F7F7F7 */
  --bg-lightest:                rgba(248,248,248,1);  /* #F8F8F8 */
  --bg-dark:                    rgba(234,234,234,1);  /* #EAEAEA */
  --bg-dark-grey:               rgba(222,222,222,1);  /* #DEDEDE */
  --bg-darkten:                 rgba(73,73,73,1);     /* #494949 */
  --bg-yellow:                  rgba(255,239,221,1);  /* #FFEFDD */
  --bg-lightest-blue:           rgba(230,234,246,1); /* #E6EAF6 */
  --bg-light-blue:              rgba(233,245,251,1);  /* #E9F5FB */
  --bg-blue:                    rgba(74,125,180,1);   /* #4A7DB4 */
  --bg-darktset:                rgba(31,31,31,1);     /* #1F1F1F */
  --bg-tooltip-dark:            rgba(55,55,55,1);     /* #373737 */
  --bg-link:                    rgba(237,246,252,1);  /* #EDF6FC */

  --bg-outdated-data:           var(--bg-light);
  --linear-gradient-outdated:   linear-gradient(to left, var(--bg-outdated-data) 1.25rem, rgba(255,239,221,0));

  --bg-seller-info-table:      var(--bg-lightest-blue);
  --liner-gradient-seller-info: linear-gradient(to left, var(--bg-lightest-blue) 1.25rem, rgba(230,234,246,0));

  --feedback-bg-yellow:         rgba(253,238,206,1);  /* #FDEECE */
  --feedback-bg-green:          rgba(180,220,197,1);  /* #B4DCC5 */
  --feedback-bg-red:            rgba(255,213,207,1);  /* #FFD5CF */


  --border-color-main:          rgba(217,217,217,1);  /* #D9D9D9 */
  --border-color-hover:         rgba(205,205,205,1);; /* #CDCDCD */
  --border-color-active:        rgba(197,197,197,1);  /* #C5C5C5 */
  --border-color-dark:          rgba(79,79,79,1);     /* #4F4F4F */
  --border-color-light:         rgba(224,224,224,1);  /* #E0E0E0 */
  --border-color-blue-light:    rgba(190,215,238,1);  /* #BED7EE */
  --border-color-lighten:       rgba(241,241,241,1);  /* #F1F1F1 */

  --color-disabled:             rgba(224,224,224,1);  /* #E0E0E0 */
  --color-disabled-darken:      rgba(182,182,182,1);  /* #B6B6B6 */

  --link-color:                 rgba(51,117,187,1);   /* #3375BB */
  --link-hover-color:           rgba(81,149,221,1);   /* #5195DD */
  --link-active-color:          rgba(32,95,162,1);    /* #205FA2 */
  --link-dark-hover-color:      rgba(143,148,156,1);  /* #8F949C */
  --link-dark-active-color:     rgba(86,95,111,1);    /* #565F6F */
  --link-black-hover-color:     rgba(74,129,188,1);   /* #4A81BC */

  /* header color */
  --header-link-color:          rgba(184,206,229,1);  /* #B8CEE5 */
  --header-link-hover-color:    rgba(231,241,253,1);  /* #E7F1FD */
  --header-button-bg:           rgba(17,65,89,1);     /* #114159 */
  --header-selected-bg:         rgba(234,234,234,1);  /* #EAEAEA */
  /*--header-nav-hover-border:    rgba(255,196,66,1);   !* #FFC442 *!*/
  --header-nav-active-border:   rgba(255,196,66,1);   /* #FFC442 */
  /*--header-top-gradient:        linear-gradient(260deg, #4469A2 1%, #445E96 25%, #4484BF 60%, #3771C0 70%, #5087C0 80%, #3E76B4 88%, #3E77C0 100%);*/
  --header-top-gradient:        linear-gradient(135deg, rgba(17,65,89,1) 0%,rgba(10,92,125,1) 51%,rgba(16,125,163,1) 100%);

  /* footer colors */
  --footer-bg:                  rgba(44,44,44,1);     /* #2C2C2C */
  --footer-mobile-bg:           var(--bg-darktset);
  --footer-color:               var(--bg-main);
  --footer-link-color:          rgba(255,255,255,0.6);  /* #ffffff */
  --footer-hover-color:         var(--bg-light);
  --footer-active-color:        rgba(236,236,236,1);  /* #ECECEC */
  --footer-color-light:         var(--color-on-dark-light);
  --footer-hover-color-light:   var(--color-on-dark-lighten);
  --footer-active-color-light:  rgba(183,183,183,1);  /* #B7B7B7 */

  /* buttons colors */
  --btn-color:                  var(--color-main-dark);
  /*--btn-bg:                     rgba(255,208,104,1);  !* #FFD068 *!*/
  --btn-bg:                     rgba(255,187,37,1);  /* #FFBB25 */
  --btn-bg-opacity:             rgba(255,208,104,0.4);  /* #FFD068 */
  --btn-hover-bg:               rgba(246,198,92,1);   /* #F6C65C */
  --btn-active-bg:              rgba(240,193,88,1);   /* #F0C158 */

  --btn-svg-fill:               rgba(135,107,44,1);   /* #876B2C */

  --btn-basket-fill:            var(--color-yellow);
  --btn-basket-fill-hover:      rgba(245,178,30,1);   /* #F5B21E */
  --btn-basket-fill-active:     rgba(242,174,25,1);   /* #F2AE19 */

  --btn-accent-color:           var(--bg-main);
  --btn-accent-bg:              rgba(254,105,84,1);   /* #FE6954 */
  --btn-accent-hover-bg:        rgba(253,94,73,1);    /* #FD5E49 */
  --btn-accent-active-bg:       rgba(247,87,65,1);    /* #F75741 */

  --btn-outline-bg:              var(--bg-main);
  --btn-outline-active-bg:       var(--bg-main);
  --btn-outline-color:           var(--color-main);

  --btn-blue-color:            rgba(183,203,225,1); /* #B7CBE1*/
  --btn-blue-gradient:         linear-gradient(180deg, #B1D4FA 2.21%, #3375BB 2.22%, #4A7DB4 100%);
  --btn-blue-gradient-hover:   linear-gradient(180deg, #B1D4FA 2.21%, #24578D 2.22%, #204D7E 100%);

  --btn-light-color:            var(--color-main);
  --btn-light-hover-color:      var(--color-main-darken);
  --btn-light-active-color:     var(--fill-main);
  --btn-light-bg:               rgba(247,247,247,1);          /* #F7F7F7 */
  --btn-light-hover-bg:         var(--bg-light);
  --btn-light-active-bg:        var(--border-color-lighten);

  --btn-helper-bg:              var(--bg-lightest);
  --btn-helper-hover-bg:        rgba(238,238,238,1);  /* #EEEEEE */

  --btn-chat-small-bg:          var(--bg-lightest);


  --btn-disabled-bg:            var(--bg-lightest);
  --btn-rectangle-disabled-bg:  var(--bg-light);
  --btn-disabled-color:         var(--color-main-lightest);
  --btn-disabled-border:        1px solid var(--color-disabled);
  --btn-disabled-svg-fill:      var(--color-main-lightest);

  /* size button */
  --btn-min-height:             2.375rem;   /* 38px */
  --btn-mobile-min-height:      3.75rem;    /* 60px */
  --btn-medium-height:          3rem;       /* 48px */
  --btn-big-height:             3.4375rem;  /* 55px */
  --btn-only-icon-width:        3.625rem;   /* 58px */

  --btn-small-height:           1.75rem;    /* 28px */
  --select-small-height:        1.75rem;    /* 28px */

  /* size button Alex_czech*/
  --btn-height-small:             1.75rem;    /* 28px */
  --btn-height-regular:           2.375rem;   /* 38px */
  --btn-height-medium:            3rem;       /* 48px */
  --btn-height-large:             3.375rem;   /* 54px */
  --btn-height-huge:              3.75rem;   /* 60px */

  --main-input-height:            3.5rem;    /* 56px */

  /* input */
  --form-bg:                    var(--bg-main);
  --form-bg-light:              rgba(247,248,249,1);              /* #F7F8F9 */
  --form-shadow:                inset 0 1px 2px rgba(0,0,0,.1);
  --form-border:                1px solid rgba(222,222,222,1);   /* #DEDEDE */
  --form-focus-border:          1px solid rgba(121,196,251,1);   /* #79C4FB */
  --form-focus-border-color:    rgba(121,196,251,1);              /* #79C4FB */

  --form-switch-border:         1px solid var(--border-color-main);   /* #D9D9D9 */
  --form-switch-bg:             var(--bg-dark);
  --form-switch-hover-bg:       var(--bg-lightest);
  --form-switch-active-bg:      var(--bg-main);                  /* #E0E5EC */

  --form-disabled-bg:           var(--bg-lightest);

  --form-label-color:           var(--color-main-dark);
  --form-focus-label-color:     var(--color-main-lightest);

  --form-checked-color:         var(--fill-main);

  --form-error-border-color:    rgba(255,177,173,1);                /* #FFB1AD */
  --error-color:                rgba(235,87,87,1);                  /* #EB5757 */

  --placeholder-color:          var(--color-main-lightest);
  --placeholder-disabled-color: var(--color-disabled-darken);
  --placeholder-font-weight:    var(--font-weight-regular);

  /*Online state*/
  /*--online-color:          rgba(98,206,102,1);   !* #62CE66 *!*/
  --online-color:          rgba(20,164,26,1);   /* #14A41A */
  --online-hover-color:    rgba(86,195,91,1);    /* #56C35B */
  --online-active-color:   rgba(80,185,84,1);    /* #50B954 */

  /*Offline state*/
  --offline-color:         var(--color-disabled);

  /* scrollbar */
  --scroll-track-bg:            var(--bg-lightest);
  --scroll-thumb-bg:            var(--fill-light);
  --scroll-thumb-hover-bg:      var(--fill-active);
  --scroll-size:                0.375rem;

  /* gradient */
  --gradient-hide-shadow-white:  linear-gradient(to left, var(--bg-main) 0.5rem, rgba(255,255,255,0));
  --gradient-hide-shadow-gray:  linear-gradient(to left, var(--bg-lightest) 0.5rem, rgba(248,248,248,0));

  --transition-easeOutQuad: cubic-bezier(0.25, 0.46, 0.45, 0.94);

  /*MODAL*/
  --bg-wrapper:                 rgba(0,0,0,0.6);
}
